@echo off
rem REVERT-4.1.2-patch1_nl.bat 1.0.0  UTF-8                       2016-08-22
rem -----1---------2---------3---------4---------5---------6---------7-------*
rem 
rem Licensed to the Apache Software Foundation (ASF) under one
rem or more contributor license agreements.  See the NOTICE file
rem distributed with this work for additional information
rem regarding copyright ownership.  The ASF licenses this file
rem to you under the Apache License, Version 2.0 (the
rem "License"); you may not use this file except in compliance
rem with the License.  You may obtain a copy of the License at
rem
rem  http://www.apache.org/licenses/LICENSE-2.0
rem
rem Unless required by applicable law or agreed to in writing,
rem software distributed under the License is distributed on an
rem "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
rem KIND, either express or implied.  See the License for the
rem specific language governing permissions and limitations
rem under the License.
rem
rem -----1---------2---------3---------4---------5---------6---------7-------*

rem ANNOUNCE THIS SCRIPT
TITLE TITLE APACHE OPENOFFICE 4.1.2-PATCH1 PROCEDURE (NEDERLANDS)
COLOR 71
rem   Soft white background with blue text
CLS
ECHO:
ECHO * 1.0.0 TERUGDRAAIEN 4.1.2-PATCH1 VOOR APACHE OPENOFFICE 4.1.2 OP WINDOWS

rem VERIFY SCRIPT IN SAME LOCATION (%~dp0) AS EXTRACTED ZIP PACKAGE
IF NOT EXIST "%~dp0LICENSE.txt" GOTO :FAIL1
IF NOT EXIST "%~dp0NOTICE.txt" GOTO :FAIL1
IF NOT EXIST "%~dp0README-4.1.2-patch1-Windows_nl.txt" GOTO :FAIL1
IF NOT EXIST "%~dp0APPLY-4.1.2-patch1_nl.bat" GOTO :FAIL1
IF NOT EXIST "%~dp0tl.dll.new" GOTO :FAIL1
IF NOT EXIST "%~dp0tl.dll.new.asc" GOTO :FAIL1
IF NOT EXIST "%~dp0tl.dll.old" GOTO :FAIL1
IF NOT EXIST "%~dp0tl.dll.old.asc" GOTO :FAIL1

rem REPORT APPARENT RESTART
IF NOT DEFINED AOOPATCH GOTO :LOCATE
ECHO:        Een eerdere patch-bewerking zou kunnen zijn onderbroken.

:LOCATE
rem LOCATE X86 PROGRAM FILES
SET AOOPATCH=%ProgramFiles%
IF DEFINED ProgramFiles(x86) SET AOOPATCH=%ProgramFiles(x86)%

rem FIND APACHE OPENOFFICE 
SET AOOPATCH=%AOOPATCH%\OpenOffice 4\program
IF NOT EXIST "%AOOPATCH%\soffice.exe" GOTO :FAIL2
ECHO:        Gevonden %AOOPATCH%
ECHO:        Even wachten svp. Bestanden controleren ...
IF EXIST "%AOOPATCH%\hwp.dll" GOTO :FAIL2

rem    OpenOffice 4.x.x zonder hwp.dll gedetecteerd.  Het is waarschijnlijk
rem    4.1.2 hoewel het een ander kan zijn waar hwp.dll werd verwijderd door
rem    de gebruiker.  Het zou ook een latere versie dan 4.1.2 van OpenOffice 4
rem    kunnen zijn.  De sleutel is of de bibliotheek 4.1.2-patch1 library 
rem    aanwezig is.

rem VERIFY THAT TL.DLL EXISTS
IF NOT EXIST "%AOOPATCH%\tl.dll" GOTO :NODLL

rem SEE IF TL.DLL IS THE PATCHED FORM
FC /B "%AOOPATCH%\tl.dll" "%~dp0tl.dll.new" >NUL
IF NOT ERRORLEVEL 1 GOTO :PATCHED

rem OPENOFFICE IS NOT PATCHED 
ECHO:
ECHO:        DE 4.1.2-PATCH1 IS NIET AANWEZIG.
ECHO:
ECHO:        ER WERDEN GEEN WIJZIGINGEN GEMAAKT.
GOTO :CLEAN

:PATCHED
ECHO:        4.1.2-patch1 gevonden in tl.dll.
GOTO :REVERT

:NODLL
rem THERE IS NO TL.DLL.  IT IS EITHER UNNECESSARY OR THERE WAS A MISHAP.
ECHO:        Bestand tl.dll ontbreekt.

:REVERT
rem USE TL.DLL.OLD IF THERE IS ONE, ELSE SUPPLY THE 4.1.2 ONE
IF NOT EXIST "%AOOPATCH%\tl.dll.old" GOTO :RESETOLD
ECHO:        tl.dll.old gevonden om vanuit te herstellen.
GOTO :RESTORE

:RESETOLD
COPY /B "%~dp0tl.dll.old" "%AOOPATCH%\tl.dll.old" >NUL 2>&1
IF ERRORLEVEL 1 GOTO :FAIL3
rem     forceren van een schone herstellen alsof er was geweest een APPLY
ECHO:        Er is geen backup-kopie van tl.dll.old.  
ECHO:        Herstellen met de originele 4.1.2 tl.dll.

:RESTORE
MOVE /Y "%AOOPATCH%\tl.dll.old" "%AOOPATCH%\tl.dll" >NUL 2>&1
IF ERRORLEVEL 1 GOTO :FAIL3

rem THE MOVE SUCCEEDED
ECHO:        Het bibliotheekbestand tl.dll is nu hersteld.
ECHO:
ECHO:        TERUGDRAAIEN VAN 4.1.2-PATCH1 MET SUCCES UITGEVOERD

:CLEAN
ECHO:
ECHO:        Gebruik, om de patch om welke reden dan ook opnieuw toe te
ECHO:        passen, de procedure APPLY-4.1.2-patch1_nl.bat zoals beschreven
ECHO:        in het bestand README-4.1.2-patch1-Windows_nl.txt.   

:LEAVE
ECHO:
ECHO:
SET AOOPATCH=
PAUSE
EXIT /B 0


:FAIL1
ECHO:
ECHO * ***** HET SCRIPT REVERT STAAT NIET IN DE JUISTE MAP
ECHO *       REVERT-4.1.2-patch1_nl.bat moet zijn geplaatst in de map waar 
ECHO *       apache-openoffice-4.1.2-patch1-Win_x86_nl.zip werd uitgepakt
ECHO *       Het is niet ontworpen om zelfstandig te worden toegepast.
ECHO *
ECHO *       Volg de stappen in README-4.1.2-patch1-Windows_nl.txt
ECHO *       om de juiste map te maken waarin dit script is opgenomen.

:BAIL
COLOR 74
rem   Soft White background and Red text
ECHO:
ECHO:
SET AOOPATCH=
PAUSE
EXIT /B 2

:FAIL2
ECHO:
ECHO * ***** APACHE OPENOFFICE 4.1.2 NIET GEVONDEN
ECHO *       Er werd geen geldige versie van Apache OpenOffice gedetecteerd op
ECHO *       de verwachte locatie op deze Windows PC.
ECHO *     
ECHO *       ER WERDEN GEEN WIJZIGINGEN GEMAAKT.  
ECHO *       De procedure APPLY werd niet eerder uitgevoerd.  Als in plaats
ECHO *       daarvan een handmatige procedure werd toegepast, zorg dan voor
ECHO *       handmatige uitvoering van de procedure om het terug te draaien
ECHO *       om een eerdere tl.dll te herstellen.
GOTO :BAIL

:FAIL3
ECHO:
ECHO * ***** RECHTEN VOOR ADMINISTRATOR VEREIST
ECHO *       Dit batch-script, REVERT-4.1.2-patch1_nl.bat, moet
ECHO *       worden uitgevoerd met de optie "Als administrator uitvoeren"
ECHO *       als die beschikbaar is.  Op Windows XP: voer het uit vanuit 
ECHO *       een account dat administratieve rechten heeft.
ECHO *.
ECHO *       Bekijk het bestand README-4.1.2-patch1-Windows_nl.txt voor 
ECHO *       meer details.
ECHO *       
ECHO *       ER WERDEN GEEN WIJZIGINGEN GEMAAKT.
GOTO :BAIL

rem           *** einde van REVERT-4.1.2-patch1_nl.bat ***